package org.springblade.common.utils;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * 通用工具类
 *
 * @author Chill
 */
public class MD5Util {

	public static String getMD5Hash(String input) {
		try {
			// 获取MD5算法的MessageDigest实例
			MessageDigest md = MessageDigest.getInstance("MD5");

			// 计算MD5哈希值
			byte[] hashBytes = md.digest(input.getBytes());

			// 将字节数组转换为十六进制字符串
			StringBuilder sb = new StringBuilder();
			for (byte b : hashBytes) {
				sb.append(String.format("%02x", b));
			}

			// 返回大写的哈希值
			return sb.toString().toUpperCase();
		} catch (NoSuchAlgorithmException e) {
			throw new RuntimeException("MD5 algorithm not found", e);
		}
	}
}
