/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.spzf.ewm.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.spzf.ewm.pojo.entity.EwmShEntity;
import org.springblade.modules.spzf.ewm.pojo.vo.EwmShVO;
import org.springblade.modules.spzf.ewm.excel.EwmShExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import java.util.List;

/**
 * 二维码_商户_终端号 服务类
 *
 * @author wth
 * @since 2024-12-11
 */
public interface IEwmShService extends BaseService<EwmShEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param ewmSh 查询参数
	 * @return IPage<EwmShVO>
	 */
	IPage<EwmShVO> selectEwmShPage(IPage<EwmShVO> page, EwmShVO ewmSh);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<EwmShExcel>
	 */
	List<EwmShExcel> exportEwmSh(Wrapper<EwmShEntity> queryWrapper);

}
