/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.spzf.ewm.service.impl;

import org.springblade.modules.spzf.ewm.pojo.entity.EwmShEntity;
import org.springblade.modules.spzf.ewm.pojo.vo.EwmShVO;
import org.springblade.modules.spzf.ewm.excel.EwmShExcel;
import org.springblade.modules.spzf.ewm.mapper.EwmShMapper;
import org.springblade.modules.spzf.ewm.service.IEwmShService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 二维码_商户_终端号 服务实现类
 *
 * @author wth
 * @since 2024-12-11
 */
@Service
public class EwmShServiceImpl extends BaseServiceImpl<EwmShMapper, EwmShEntity> implements IEwmShService {

	@Override
	public IPage<EwmShVO> selectEwmShPage(IPage<EwmShVO> page, EwmShVO ewmSh) {
		return page.setRecords(baseMapper.selectEwmShPage(page, ewmSh));
	}

	@Override
	public List<EwmShExcel> exportEwmSh(Wrapper<EwmShEntity> queryWrapper) {
		List<EwmShExcel> ewmShList = baseMapper.exportEwmSh(queryWrapper);
		//ewmShList.forEach(ewmSh -> {
		//	ewmSh.setTypeName(DictCache.getValue(DictEnum.YES_NO, EwmShEntity.getType()));
		//});
		return ewmShList;
	}

}
