/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.spzf.payInfo.excel;


import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serial;


/**
 * 付款记录 Excel实体类
 *
 * @author wth
 * @since 2024-12-06
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class PayInfoExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 商户号
	 */
	@ColumnWidth(20)
	@ExcelProperty("商户号")
	private String mchtCode;
	/**
	 * 订单金额
	 */
	@ColumnWidth(20)
	@ExcelProperty("订单金额")
	private BigDecimal transAmount;
	/**
	 * 商户订单号
	 */
	@ColumnWidth(20)
	@ExcelProperty("商户订单号")
	private String orgTrace;
	/**
	 * 业务日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("业务日期")
	private String transDate;
	/**
	 * 收款方账号名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("收款方账号名称")
	private String payeeAcctName;
	/**
	 * 收款方账号
	 */
	@ColumnWidth(20)
	@ExcelProperty("收款方账号")
	private String payeeAcctNo;
	/**
	 * 收款方账号类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("收款方账号类型")
	private String payeeAcctType;
	/**
	 * 数字信封
	 */
	@ColumnWidth(20)
	@ExcelProperty("数字信封")
	private String dgtlEnvlp;

}
