package org.springblade.modules.spzf.payInfo.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.io.Serial;

/**
 * 付款记录 实体类
 *
 * @author wth
 * @since 2024-12-06
 */
@Data
@TableName("pay_info")
@Schema(description = "PayInfoEntity对象")
@EqualsAndHashCode(callSuper = true)
public class PayInfoEntity extends BaseEntity {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 商户号
	 */
	@Schema(description = "商户号")
	private String mchtCode;
	/**
	 * 订单金额
	 */
	@Schema(description = "订单金额")
	private String transAmount;
	/**
	 * 商户订单号
	 */
	@Schema(description = "商户订单号")
	private String orgTrace;
	/**
	 * 交易时间
	 */
	@Schema(description = "交易时间")
	private String transTime;
	/**
	 * 支付方式 1=WeChatMiniApp 2=AliPayMiniApp
	 */
	@Schema(description = "支付方式 1=WeChatMiniApp 2=AliPayMiniApp")
	private Integer payType;
	/**
	 * 微信用户标识
	 */
	@Schema(description = "微信用户标识")
	private String subOpenId;
	/**
	 * 支付宝用户标识
	 */
	@Schema(description = "支付宝用户标识")
	private String buyerId;
	@TableField(exist = false)
	private String minMoney;
	@TableField(exist = false)
	private String maxMoney;
	@TableField(exist = false)
	private String startTime;
	@TableField(exist = false)
	private String endTime;
}
